
// 1.Опишіть своїми словами, що таке метод об'єкту
// Це універсальні функції, створені для різноманітних маніпуляцій з об'єктом, його даними.


// 2.Який тип даних може мати значення властивості об'єкта?
// Примітивні типи даних: строка (string), число (number), булеве значення (boolean), символ (symbol)
// Об'єкти, включаючи інші об'єкти, масиви, функції та регулярні вирази.
// Спеціальні значення: null та undefined.


// 3. Об'єкт це посилальний тип даних. Що означає це поняття?
// Коли ми створюємо новий об'єкт, то в змінну зберігається посилання на нього. 
// Наприклад, коли ми копіюємо об'єкт, то ми копіюємо посилання. 





// Технічні вимоги:
// Написати функцію createNewUser(), яка буде створювати та повертати об'єкт newUser.
// При виклику функція повинна запитати ім'я та прізвище.
// Використовуючи дані, введені юзером, створити об'єкт newUser з властивостями firstName та lastName.
// Додати в об'єкт newUser метод getLogin(), який повертатиме першу літеру імені юзера, 
// з'єднану з прізвищем, все в нижньому регістрі (наприклад, Ivan Kravchenko → ikravchenko).
// Створити юзера за допомогою функції createNewUser(). 
// Викликати у цього юзера функцію getLogin(). Вивести у консоль результат виконання функції.



const createNewUser = () => {
    let firstName = prompt("Enter your first name");
    let lastName = prompt("Enter your last name");

    let newUser = {
        firstName,
        lastName,
        }; 
        newUser.getLogin = () => {
            return `${(newUser.firstName.slice(0, 1) + newUser.lastName).toLowerCase()}`;
        };
    return newUser
}

let finalUser = createNewUser();
console.log(finalUser.getLogin());



